fifof_Fixture Struct Reference

a fixture to test FIFO filtering More...

`#include <mia/3d/fifotestfixture.hh>`

## Public Member Functions

void | call_test (C2DImageFifoFilter &filter) const
template<typename A, typename B>
void | prepare (const A *input_data, const B *test_data, const C2DBounds &size, size_t slices)

## Data Fields

C2DImageStack | m_in_data
C2DImageStack | m_test_data

## Detailed Description

a fixture to test FIFO filtering

Template Parameters

  A | the input data type
  B | the extected data type

Parameters

  input_data | the input data as flat array
  test_data | the expected result data as flat array
  size | the size of the input slices
  slices | the number of slices to process.

Definition at line 42 of file fifotestfixture.hh.

## Member Function Documentation

## call_test()

void fifof_Fixture::call_test | ( | C2DImageFifoFilter & | filter | ) | const

References filter().

## prepare()

template<typename A, typename B>

void fifof_Fixture::prepare | ( | const A * | input_data,
|  | const B * | test_data,
|  | const C2DBounds & | size,
|  | size_t | slices )

Definition at line 52 of file fifotestfixture.hh.

References cvdebug(), m_in_data, m_test_data, T2DVector< T >::x, and T2DVector< T >::y.

## Field Documentation

## m_in_data

C2DImageStack fifof_Fixture::m_in_data

Definition at line 47 of file fifotestfixture.hh.

Referenced by prepare().

## m_test_data

C2DImageStack fifof_Fixture::m_test_data

Definition at line 48 of file fifotestfixture.hh.

Referenced by prepare().

The documentation for this struct was generated from the following file:

- fifotestfixture.hh